- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Wayland Display Functions
Ecore_Wayland - Wayland integration

Functions that set and retrieve various information about the Wayland Display. More...

## Functions
EAPI struct wl_shm * | ecore_wl_shm_get (void)
| Retrieves the Wayland Shm Interface used for the current Wayland connection. More...
EAPI struct wl_display * | ecore_wl_display_get (void)
| Retrieves the Wayland Display Interface used for the current Wayland connection. More...
EAPI void | ecore_wl_screen_size_get (int *w, int *h)
| Retrieves the Compositor interface. More...
EAPI Eina_Inlist * | ecore_wl_globals_get (void)
| Retrieves the Wayland Globals Interface list used for the current Wayland connection. More...
EAPI struct wl_registry * | ecore_wl_registry_get (void)
| Retrieves the Wayland Registry used for the current Wayland connection. More...

## Detailed Description

Functions that set and retrieve various information about the Wayland Display.

## Function Documentation

EAPI struct wl_shm* ecore_wl_shm_get | ( | void |  | ) |

Retrieves the Wayland Shm Interface used for the current Wayland connection.

Returns
  The current wayland shm interface

Since
  1.2

EAPI struct wl_display* ecore_wl_display_get | ( | void |  | ) |

Retrieves the Wayland Display Interface used for the current Wayland connection.

Returns
  The current wayland display interface

Since
  1.2

EAPI void ecore_wl_screen_size_get | ( | int * | w,
|  | int * | h
| ) |  |

Retrieves the Compositor interface.

This interface is used by clients to request the creation of surfaces and regions.

Returns
  The current wayland compositor interface

Since
  1.8 Retrieves the size of the current screen.

Parameters

  w | where to return the width. May be NULL. Returns 0 on error.
  h | where to return the height. May be NULL. Returns 0 on error.

Since
  1.2

EAPI Eina_Inlist* ecore_wl_globals_get | ( | void |  | ) |

Retrieves the Wayland Globals Interface list used for the current Wayland connection.

This call, if done after the ECORE_WL_EVENT_INTERFACES_BOUND event was received already, won't block the mainloop or trigger a dispatch. It will return the current globals immediately. However, if done before this event, it will probably block the mainloop waiting for the sync "done" event to be received (by using one or more wl_display_dispatch call), and then finally return the wl globals list.

There's no need to call dispatch manually, since this call will do it if necessary.

Returns
  The current wayland globals interface list

Since
  1.7.6

EAPI struct wl_registry* ecore_wl_registry_get | ( | void |  | ) |

Retrieves the Wayland Registry used for the current Wayland connection.

Returns
  The current wayland registry

Since
  1.7.6